# coding=utf-8

from django.conf import settings
from rest_framework import serializers
from apps.store.models import Shop
from apps.images.models import Images


class ShopSerializer(serializers.ModelSerializer):
    enabled_text = serializers.SerializerMethodField()
    img_url = serializers.SerializerMethodField()

    def get_enabled_text(self, obj):
        if obj.enabled:
            return u'是'
        return u'否'

    def get_img_url(self, obj):
        if obj.img:
            return '%s%s' % (settings.MEDIA_URL, obj.img.picture)
        return ''

    class Meta:
        model = Shop
        fields = '__all__'

    def create(self, validated_data):
        user = self.context['request'].user
        file = self.context['request'].FILES.get('image', None)
        if file:
            validated_data['img'] = Images.objects.employee_addnew(user, Images.SHOP_FILE, file)
        instance = super(ShopSerializer, self).create(validated_data)
        return instance
